WinUpdatesList v1.11
Copyright (c) 2004 Nir Sofer
Web site: http://nirsoft.mirrorz.com

Description

WinUpdatesList displays the list of all Windows updates (Service Packs and Hotfixes) installed on your local computer. For hotfix updates, this utility also displays the list of files updated with these hotfixes. In addition, it allows you to instantly open the Web link in Microsoft Web site that provides more information about the selected update, uninstall an update, copy the update information to the clipboard, or save it to text/HTML/XML file.

System Requirements

This utility works on Windows 98, Windows ME, Windows 2000, and Windows XP. On Windows 98/ME, some columns are not displayed, because the related information is not stored in the Registry as in Windows 2000/XP.

Versions History

  • Version 1.11:
    • On Windows 2000/XP: new command-line options that allows you to connect another operating system on local or remote computer.
    • Computer name is now added to XML and HTML files.
  • Version 1.10:
    • Added support for Windows 98/ME
    • 'Open Web Link' now opens each link in a new browser window.
    • Command-Line support.
  • Version 1.00 - First Release.

Using WinUpdatesList

WinUpdatesList is a standalone program, so it doesn't require any installation or additional DLLs. In order to start using it, just copy it to any folder you like, and run it. If you want, you can also install WinUpdatesList on your computer with uninstall support, by downloading and running the self-install executable file.

The main window of WinUpdatesList contains 2 panes: The upper pane displays the list of all updates installed on your computer. When you select an hotfix in the upper pane, the lower pane display the list of files installed with the selected hotfix.
If you want to get more information about a specific update, select the desired item in the upper pane, and then from the File menu (or from the popup menu) choose 'Open Web Link'. This option opens your browser with a Web page in Microsoft site that provides information about the selected Windows update.

Notice: Some operations, like saving to file or copying to the clipboard, are performed on the pane that currently has the focus. For example: If you press Ctrl+C while the lower pane is focused, the selected files list will be copied to the clipboard. If the upper pane has the focus, the selected updates in the upper pane will be copied.

Connecting to another operating system (Windows 2000/XP only)

Starting from v1.11, WinUpdatesList provides 2 methods for viewing the Windows Updates of another operating system:
  1. On local computer: If you have more than one instance of Windows 2000/XP operating system on the same computer, you can view the Windows updates list of the other operating system by using /another command-line parameter.
    For example:
    wul.exe /another e:\winnt

    The second parameter specifies the Windows folder of the operating system.
    Be aware that when you use this option, WinUpdatesList loads the Registry of the other operating system as a new hive under HKEY_LOCAL_MACHINE, and than unloads it after you exit from WinUpdatesList.

  2. On remote computer: If you have a remote computer with Windows 2000/XP operating system, your can view the Windows updates list of this computer by using /remote command-line parameter.
    For example:
    wul.exe /remote \\192.168.0.10
    You must connect the remote computer with administrative rights in order that this option will work properly. It's also recommended to enable admin shares (C$, D$, and so on) on the remote computer.

Translating to another language

WinUpdatesList allows you to easily translate all menus, dialog-boxes, and other strings to other languages.
In order to do that, follow the instructions below:
  1. Run WinUpdatesList with /savelangfile parameter:
    wul.exe /savelangfile
    A file named wul_lng.ini will be created in the folder of WinUpdatesList utility.
  2. Open the created language file in Notepad or in any other text editor.
  3. Translate all menus, dialog-boxes, and string entries to the desired language.
  4. After you finish the translation, Run WinUpdatesList, and all translated strings will be loaded from the language file.
    If you want to run WinUpdatesList without the translation, simply rename the language file, or move it to another folder.

Command-Line Options

/stext <Filename> | Save windows updates list into a regular text file.
/stab <Filename> | Save windows updates list into a tab-delimited text file.
/stabular <Filename> | Save windows updates list into a tabular text file.
/shtml <Filename> | Save windows updates list into HTML file.
/sverhtml <Filename> | Save windows updates list into HTML file. (vertical)
/sxml <Filename> | Save windows updates list into XML file.
/another <Windows Folder> | connect to another instance of operating system on the same computer (Windows 2000/XP only). You can combine this option with one of the save options in order to save the Windows updates list of another operating system. Examples: wul.exe /shtml c:\temp\1.html /another d:\winnt wul.exe /another f:\winnt
/remote <Computer Name> | Connect to remote Windows 2000/XP operating system. You can combine this option with one of the save options in order to save the Windows updates list of a remote computer. Examples: wul.exe /shtml c:\temp\1.html /remote \\comp01 wul.exe /another /remote \\192.168.0.101

License

This utility is released as freeware for personal and non-commercial use. You are allowed to freely distribute this utility via floppy disk, CD-ROM, Internet, or in any other way, as long as you don't charge anything for this. If you distribute this utility, you must include all files in the distribution package, without any modification !

Disclaimer

The software is provided "AS IS" without any warranty, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The author will not be liable for any special, incidental, consequential or indirect damages due to loss of data or any other reason.

Feedback

If you have any problem, suggestion, comment, or you found a bug in my utility, you can send a message to nirsofer@yahoo.com